Description

via David Fichtmüller from ABCD Wiki ( 

http://abcd.biowikifarm.net/wiki/Internal:ABCD_Corrections#Disallow_Month-only_and_Day-only_Dates_for_the_DateTimeISO_Type

)

(Improvement    not backward compatible    Status: Suggested)

The DateTimeISO type (used by ISODateTimeBegin and ISODateTimeEnd) currently allows to specify only the Month or only the

day or only day and month without the year, like: --11, ---15 or --11-15. Though there might be cases where it is useful to only

express the day or the month and not the year, the primary motivation to use the ISO format however are its unambiguity and easy

automated processing, both of which do not apply to this notation. If one really wants to note partial dates, the DateText element is

sufficient enough.

Effected Elements:

/DataSets/DataSet/Units/Unit/Identifications/Identification/Date/ISODateTimeBegin

/DataSets/DataSet/Units/Unit/Identifications/Identification/Date/ISODateTimeEnd

/DataSets/DataSet/Units/Unit/SpecimenUnit/History/PreviousUnits/PreviousUnit/Date/ISODateTimeBegin

/DataSets/DataSet/Units/Unit/SpecimenUnit/History/PreviousUnits/PreviousUnit/Date/ISODateTimeEnd

/DataSets/DataSet/Units/Unit/Gathering/DateTime/ISODateTimeBegin

/DataSets/DataSet/Units/Unit/Gathering/DateTime/ISODateTimeEnd

History

#1 - 01/24/2017 04:22 PM - D. Fichtmüller

- Project changed from ABCD 3.0 Project to ABCD

- Subject changed from Unit Extension: Disallow Month-only and Day-only Dates for the DateTimeISO Type to Disallow Month-only and Day-only

Dates for the DateTimeISO Type

- Parent task set to #476

#2 - 01/24/2017 05:45 PM - D. Fichtmüller

- Category set to XML Schema

#3 - 02/21/2017 01:38 PM - L. Lertsutham

- Description updated
